Bug 657454 - Fedora 13: yum update: Error: selinux-policy-targeted conflicts with 389-admin/389-ds-base
Summary: Fedora 13: yum update: Error: selinux-policy-targeted conflicts with 389-admi...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted
Version: 13
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-26 06:59 UTC by Scott Marshall
Modified: 2010-11-27 03:49 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-27 03:49:00 UTC
Type: ---


Attachments (Terms of Use)

Description Scott Marshall 2010-11-26 06:59:17 UTC
Description of problem:
Performing a yum check-update advises that there are updates for selinux:

selinux-policy.noarch                       3.7.19-73.fc13               updates
selinux-policy-targeted.noarch              3.7.19-73.fc13               updates

Attempting to execute the update results in:

Error: selinux-policy-targeted conflicts with 389-admin
Error: selinux-policy-targeted conflicts with 389-ds-base

Version-Release number of selected component (if applicable):


Installed versions:

389-admin-1.1.11-1.fc13.x86_64
389-admin-console-1.1.5-1.fc13.noarch
389-admin-console-doc-1.1.5-1.fc13.noarch
389-adminutil-1.1.9-1.fc13.x86_64
389-console-1.1.4-1.fc13.noarch
389-ds-1.2.1-1.fc13.noarch
389-ds-base-1.2.6.1-2.fc13.x86_64
389-ds-console-1.2.3-1.fc13.noarch
389-ds-console-doc-1.2.3-1.fc13.noarch
389-dsgw-1.1.5-1.fc13.x86_64

selinux-policy-3.7.19-69.fc13.noarch
selinux-policy-targeted-3.7.19-69.fc13.noarch


How reproducible:  ALWAYS (at least with versions shown above)


Steps to Reproduce:
1.  Ensure 389 server and selinux policy packages are installed.
2.  execute yum check-update followed by yum update
3.  accept the recommended updates for the 'selinux-policy' packages
4.  watch yum do a dependency check, then complain about package conflicts.
  
Actual results:

Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package selinux-policy.noarch 0:3.7.19-73.fc13 set to be updated
---> Package selinux-policy-targeted.noarch 0:3.7.19-73.fc13 set to be updated
--> Processing Conflict: selinux-policy-targeted-3.7.19-73.fc13.noarch conflicts 389-admin < 1.1.12
--> Processing Conflict: selinux-policy-targeted-3.7.19-73.fc13.noarch conflicts 389-ds-base < 1.2.7
--> Finished Dependency Resolution
Error: selinux-policy-targeted conflicts with 389-admin
Error: selinux-policy-targeted conflicts with 389-ds-base
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest


Expected results:

yum to apply updated selinux-policy packages without complaint.

Additional info:
This appears to be a re-appearance of a bug fixed in 3.7.11-1 through 3.7.19-65 of selinux-policy-targeted-x.x.x-x.fc13.noarch

* Thu Mar 04 2010 Dan Walsh <dwalsh(at)redhat.com> 3.7.11-1
  - Update to upstream - These are merges of my patches
  - Remove 389 labeling conflicts

Comment 1 Scott Marshall 2010-11-26 07:42:34 UTC
Checks of the *released* versions of "389-admin" and "389-ds-base" indicate that as at 26-Nov-2010 18:37 AEDT (UTC+11:00) there are no updates for these packages, ie the highest versions available are 1.1.11 and 1.2.6.1 respectively.

If "selinux-policy-targeted" conflicts with versions < 1.1.12 and 1.2.7 (as indicated by the errors shown in the main bug report), then "selinux-policy-targeted" should NOT have been released into the updates repository until the required minimum versions of "389-admin" and "389-ds-base" were also available in the updates repository.

Comment 2 Scott Marshall 2010-11-27 03:48:34 UTC
I am going to close this bug now, as the released "updates" repository now has the required minimum versions of "389-admin" and "389-ds-base" available, and the updates have succeeded.


Note You need to log in before you can comment on or make changes to this bug.